Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.sound.sampled
Class Control.Type

    java.lang.Object
      |
      +--javax.sound.sampled.Control.Type

Direct Known Subclasses:
  BooleanControl.Type, CompoundControl.Type, EnumControl.Type, FloatControl.Type

Enclosing class:
  Control

public static class Control.Type
extends Object

An instance of the `Type` class represents the type of the control. Static instances are provided for the common types.

Constructor Summary
`protected` | `Control.Type(String name)` Constructs a new control type with the name specified.

Method Summary
`boolean` | `equals(Object obj)` Finalizes the equals method
`int` | `hashCode()` Finalizes the hashCode method
`String` | `toString()` Provides the `String` representation of the control type.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Control.Type

    protected Control.Type(String name)

  Constructs a new control type with the name specified. The name should be a descriptive string appropriate for labelling the control in an application, such as "Gain" or "Balance."
  Parameters:
    `name` - the name of the new control type.

Method Detail

### equals

    public final boolean equals(Object obj)

  Finalizes the equals method
  Overrides:
    `equals` in class `Object`
  Following copied from class: `java.lang.Object`
  Parameters:
    `obj` - the reference object with which to compare.
  Returns:
    `true` if this object is the same as the obj argument; `false` otherwise.
  See Also:
    `Boolean.hashCode()`, `Hashtable`

### hashCode

    public final int hashCode()

  Finalizes the hashCode method
  Overrides:
    `hashCode` in class `Object`
  Following copied from class: `java.lang.Object`
  Returns:
    a hash code value for this object.
  See Also:
    `Object.equals(java.lang.Object)`, `Hashtable`

### toString

    public final String toString()

  Provides the `String` representation of the control type. This `String` is the same name that was passed to the constructor.
  Overrides:
    `toString` in class `Object`
  Returns:
    the encoding name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.